## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOBreakpoint

    java.lang.Object
      LineBreakpoint
          org.eclipse.m2m.qvt.oml.debug.core.QVTOBreakpoint

    public class QVTOBreakpoint

extends LineBreakpoint

Field Summary
`protected static java.lang.String` `CONDITION` Breakpoint attribute storing a breakpoint's conditional expression
`protected static java.lang.String` `CONDITION_ENABLED` Breakpoint attribute storing a breakpoint's condition enablement
`protected static java.lang.String` `CONDITION_SUSPEND_ON_TRUE` Breakpoint attribute storing a breakpoint's condition suspend policy
`protected static java.lang.String` `HIT_COUNT`
`protected static int` `HIT_COUNT_UNDEFINED`
`protected static java.lang.String` `RUN_TO_LINE`
`protected static java.lang.String` `TARGET_URI_ATTR`

Constructor Summary
`QVTOBreakpoint()`
`QVTOBreakpoint(URI sourceURI, int lineNumber)`

Method Summary
`BreakpointData` `createBreakpointData()`
`NewBreakpointData` `createNewBreakpointData()`
`static QVTOBreakpoint` `createRunToLineBreakpoint(URI sourceURI, int lineNumber)`
`static QVTOBreakpoint` `getBreakpointByID(long id)`
`java.lang.String` `getCondition()`
`int` `getHitCount()`
`long` `getID()`
`java.lang.String` `getModelIdentifier()`
`URI` `getUnitURI()`
`boolean` `isConditionEnabled()`
`boolean` `isConditionSuspendOnTrue()`
`boolean` `isLineToRunBreakpoint()`
`void` `register(boolean register)` Add this breakpoint to the breakpoint manager, or sets it as unregistered.
`void` `setBreakpointData(BreakpointData bpData)`
`void` `setCondition(java.lang.String condition)`
`void` `setConditionEnabled(boolean conditionEnabled)`
`void` `setConditionSuspendOnTrue(boolean suspendOnTrue)`
`void` `setHitCount(int count)`
`boolean` `supportsCondition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIT_COUNT

    protected static final java.lang.String HIT_COUNT

See Also:
  Constant Field Values

### HIT_COUNT_UNDEFINED

    protected static final int HIT_COUNT_UNDEFINED

See Also:
  Constant Field Values

### CONDITION

    protected static final java.lang.String CONDITION

  Breakpoint attribute storing a breakpoint's conditional expression

  See Also:
    Constant Field Values

### CONDITION_ENABLED

    protected static final java.lang.String CONDITION_ENABLED

  Breakpoint attribute storing a breakpoint's condition enablement

  See Also:
    Constant Field Values

### CONDITION_SUSPEND_ON_TRUE

    protected static final java.lang.String CONDITION_SUSPEND_ON_TRUE

  Breakpoint attribute storing a breakpoint's condition suspend policy

  See Also:
    Constant Field Values

### TARGET_URI_ATTR

    protected static final java.lang.String TARGET_URI_ATTR

See Also:
  Constant Field Values

### RUN_TO_LINE

    protected static final java.lang.String RUN_TO_LINE

See Also:
  Constant Field Values

Constructor Detail

### QVTOBreakpoint

    public QVTOBreakpoint()

### QVTOBreakpoint

    public QVTOBreakpoint(URI sourceURI,
                          int lineNumber)
                   throws CoreException

Throws:
  `CoreException`

Method Detail

### createRunToLineBreakpoint

    public static QVTOBreakpoint createRunToLineBreakpoint(URI sourceURI,
                                                           int lineNumber)
                                                    throws CoreException

  Throws:
    `CoreException`

### getBreakpointByID

    public static QVTOBreakpoint getBreakpointByID(long id)

### getID

    public long getID()

### getUnitURI

    public URI getUnitURI()
                   throws CoreException

  Throws:
    `CoreException`

### createNewBreakpointData

    public NewBreakpointData createNewBreakpointData()
                                              throws CoreException

  Throws:
    `CoreException`

### createBreakpointData

    public BreakpointData createBreakpointData()
                                        throws CoreException

  Throws:
    `CoreException`

### setBreakpointData

    public void setBreakpointData(BreakpointData bpData)
                           throws CoreException

  Throws:
    `CoreException`

### getModelIdentifier

    public java.lang.String getModelIdentifier()

### register

    public void register(boolean register)
                  throws CoreException

  Add this breakpoint to the breakpoint manager, or sets it as unregistered.

  Throws:
    `CoreException`

### getHitCount

    public int getHitCount()
                    throws CoreException

  Throws:
    `CoreException`

### setHitCount

    public void setHitCount(int count)
                     throws CoreException

  Throws:
    `CoreException`

### isLineToRunBreakpoint

    public boolean isLineToRunBreakpoint()

### supportsCondition

    public boolean supportsCondition()

### getCondition

    public java.lang.String getCondition()
                                  throws CoreException

  Throws:
    `CoreException`

### setCondition

    public void setCondition(java.lang.String condition)
                      throws CoreException

  Throws:
    `CoreException`

### isConditionEnabled

    public boolean isConditionEnabled()

### setConditionEnabled

    public void setConditionEnabled(boolean conditionEnabled)
                             throws CoreException

  Throws:
    `CoreException`

### isConditionSuspendOnTrue

    public boolean isConditionSuspendOnTrue()
                                     throws DebugException

  Throws:
    `DebugException`

### setConditionSuspendOnTrue

    public void setConditionSuspendOnTrue(boolean suspendOnTrue)
                                   throws CoreException

  Throws:
    `CoreException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.